light-mode-image
Learn
API ReferenceRICAL Signers

Update a RICAL signer

Roles

admindts-provider

Analytics Events

ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_STARTECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_SUCCESSECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_FAIL
PUT/v1/ecosystems/certificates/rical-signers/{ricalSignerId}

Updates a RICAL signer by:

  • Providing a RICAL Signer Certificate in PEM format that matches its Certificate Signing Request (CSR).
  • Activating or deactivating the RICAL signer. Only RICAL signers with a valid certificatePem can be activated.
  • The certificatePem field becomes immutable after it's updated for the first time.

Analytic events

  • ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_START
  • ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_SUCCESS
  • ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

ricalSignerId*string

Unique identifier of the RICAL signer.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/ecosystems/certificates/rical-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "active": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "active": true,  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z"  }}

How would you rate this page?